<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004 Alessandro De Zorzi and Mirko Grava
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* @package phamm
* @subpackage radius_stats
* @author Tiziano D'Inca' <tiziano@asdasd.it>
**/

// selects on db and prints out report
// ********************************************************************

function select_accounting() {
  global $lang;
  global $action;
  global $admin;
  global $db;

  $start_time=$_POST["start_time"];
  $start_timed=substr($start_time,0,2);
  $start_timem=substr($start_time,3,2);
  $start_timey=substr($start_time,6,4);
  $start_time=$start_timey."-".$start_timem."-".$start_timed." 00:00:00";
  $stop_time=$_POST["stop_time"];
  $stop_timed=substr($stop_time,0,2);
  $stop_timem=substr($stop_time,3,2);
  $stop_timey=substr($stop_time,6,4);
  $stop_time=$stop_timey."-".$stop_timem."-".$stop_timed." 23:59:59";
  $account=$_POST["account"];
  $type=$_POST["type"];
  $realm=$_POST["domain"];
  $nasaddress=$_POST["nasaddress"];

$fields=array("radiusUsername","radiusAcctStartTime","radiusAcctStopTime",
              "radiusAcctSessionTime","radiusAcctInputOctets",
              "radiusAcctOutputOctets","radiusCallingStationId",
              "radiusCalledStationId","radiusFramedIPAddress",
              "radiusNASIPAddress");

  $sql = "select ".str_replace("radius","",implode(",",$fields))." from radacct where 1=1 ";

  if (strlen($nasaddress)>0 && $nasaddress!="all")
   $sql.=" and NASIPAddress='$nasaddress'";
  if (strlen($realm)>0 && $realm!="all")
   $sql.=" and Username like '%@$realm'";
  if (strlen($account)>0 && $account!="all")
   $sql.=" and Username='$account'";
  if (strlen($start_time)>0)
   $sql.=" and AcctStartTime>='$start_time'";
  if (strlen($stop_time)>0)
   $sql.=" and AcctStopTime<='$stop_time'";
  if ($type=="status") 
    $sql.=" and AcctStopTime='0000-00-00 00:00:00'";

  $result = $db->query($sql);
  if (DB::isError($result)) {
    die ($result->getMessage());
  }
// RadAcctId | AcctSessionId | AcctUniqueId     | UserName       | Realm | NASIPAddress  | NASPortId | NASPortType | AcctStartTime       | AcctStopTime        | AcctSessionTime | AcctAuthentic | ConnectInfo_start | ConnectInfo_stop | AcctInputOctets | AcctOutputOctets | CalledStationId | CallingStationId | AcctTerminateCause | ServiceType   | FramedProtocol | FramedIPAddress | AcctStartDelay | AcctStopDelay
  echo ("<TABLE class=\"data\">\n");


  echo "<TR class='header'>";
  for ($i=0;$i<count($fields);$i++)
    echo "<TD>".$lang[$fields[$i]]."</TD>\n";
  echo "</TR>";

  while ($result->fetchInto($row,DB_FETCHMODE_ASSOC)) {
    echo ("<TR class=\"data\">");
    for ($i=0;$i<count($fields);$i++)
      echo "<TD>".$row[str_replace("radius","",$fields[$i])]."</TD>\n";
    echo ("</TR>\n");
  }
}

?>
