<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004,2005 Alessandro De Zorzi and Mirko Grava
 *
 * This file is part of Phamm.
 *  
 * Phamm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Phamm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* @package application
* @subpackage ---
* @author Alessandro De Zorzi <adezorzi@rhx.it>
**/

/*
* Search person by initial and/or mail
* @var string mail
* @var string initial
*/

function userInfo ($initial,$SEARCH_VALUE_2)
{
    global $lang;
    global $connect;
    global $td_width;
    global $td_width_box;
    global $LDAP_BASE;
    global $SEARCH_ATTRIBUTE_2;
	
    $domain2 = explode (".",$domain);
        
        $filter="(&(cn=$initial*)($SEARCH_ATTRIBUTE_2=$SEARCH_VALUE_2*)(!(cn=abuse))(!(cn=postmaster)))";
        $search = ldap_search($connect, "$LDAP_BASE",$filter);
		
    $results = ldap_get_entries($connect, $search);

    ldap_free_result($search);
	
	echo "\n";
	echo ("<FORM METHOD=\"GET\" ACTION=\"".$_SERVER["PHP_SELF"]."\" name=\"add\">\n");
	
    $tr_header = ("<TR class='header'>
                  <TD width=\"$td_width\">$results[count] $lang[accounts]
				  <INPUT type=\"text\" name=\"initial\" value=\"$initial\"></TD>
                  <TD width=\"$td_width\">$lang[$SEARCH_ATTRIBUTE_2]
				  <INPUT type=\"text\" name=\"$SEARCH_ATTRIBUTE_2\" value=\"".$$SEARCH_ATTRIBUTE_2."\"></TD>
                  </TR>\n");

	echo "<TABLE class=\"data\">";
	echo $tr_header;

    // Return the results
    for ($idx=0; $idx < $results["count"]; $idx++)
    {
		echo "<TR>";
		echo "<TD><A>".$results[$idx]["cn"][0]."</A></TD>";
		echo "<TD><A>".$results[$idx]["$SEARCH_ATTRIBUTE_2"][0]."</A></TD>";
		echo "</TR>\n";
	}
	echo "</TABLE>";
	echo "<INPUT type=\"submit\" value=\"".$lang["add_mail"]."\">";
	echo "</FORM>";

}
